Does the latest iBank 4 for Lion work with Snow Leopard

I want to test run iBank 4 for Lion while I am still using Snow Leopard. Does iBank 4 for Lion run on OS Snow Leopard?

  • Asked by Brent P from San Diego
  • Apr 13, 2012
iBank 4

iBank 4

Product No Longer Available

1 Answer from the Community

  • Answer

    Yes. You can set up iBank in Snow Leopard (its minimum system requirement is OS X 10.6), and when you upgrade to Lion, everything will work just the same (along with additional features of OS X 10.7, such as full-screen).

    • Answered by Scott B from Putney
    • Apr 17, 2012